## no critic
package Bencher::ScenarioR::ExceptionHandling;

our $VERSION = 0.001; # VERSION

our $results = [[200,"OK",[{_name=>"participant=Try::Tiny",_succinct_name=>"T:T",errors=>2.1e-09,participant=>"Try::Tiny",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>6.02173913043478,rate=>310000,samples=>8,time=>3.23},{_name=>"participant=eval-localize-die-signal-and-eval-error",_succinct_name=>"e",errors=>1.2e-08,participant=>"eval-localize-die-signal-and-eval-error",pct_faster_vs_slowest=>2.23,pct_slower_vs_fastest=>1.17391304347826,rate=>1000000,samples=>9,time=>1},{_name=>"participant=builtin-try",_succinct_name=>"b",errors=>1.1e-09,participant=>"builtin-try",pct_faster_vs_slowest=>4.38333333333333,pct_slower_vs_fastest=>0.304347826086956,rate=>1700000,samples=>7,time=>0.6},{_name=>"participant=naive-eval",_succinct_name=>"n",errors=>3.6e-10,participant=>"naive-eval",pct_faster_vs_slowest=>6.02173913043478,pct_slower_vs_fastest=>0,rate=>2170000,samples=>8,time=>0.46}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{args=>{code_catch=>"",code_try=>""},include_by_default=>1,name=>"empty try, empty catch",seq=>0},{args=>{code_catch=>"",code_try=>"die"},include_by_default=>1,name=>"die in try, empty catch",seq=>1}],participants=>[{code_template=>"use feature 'try'; use experimental 'try'; try { <code_try:raw> } catch(\$e) { <code_catch:raw> }",description=>"\nRequires perl 5.34+.\n\n",include_by_default=>1,name=>"builtin-try",seq=>0,type=>"perl_code"},{code_template=>"eval { <code_try:raw> }; if (\$\@) { <code_catch:raw> }",description=>"\n",include_by_default=>1,name=>"naive-eval",seq=>1,type=>"perl_code"},{code_template=>"{ local \$\@; local \$SIG{__DIE__}; eval { <code_try:raw> }; if (\$\@) { <code_catch:raw> } }",description=>"\n",include_by_default=>1,name=>"eval-localize-die-signal-and-eval-error",seq=>2,type=>"perl_code"},{code_template=>"use Try::Tiny; try { <code_try:raw> } catch { <code_catch:raw> }",description=>"\n",include_by_default=>1,module=>"Try::Tiny",name=>"Try::Tiny",seq=>3,type=>"perl_code"}],precision=>7,summary=>"Benchmark various ways to do exception handling in Perl"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>0,speed=>3100.633,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>1,speed=>3100.431,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>2,speed=>3100.051,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>3,speed=>3100.432,stepping=>9}],"func.elapsed_time"=>0.0563318729400635,"func.module_startup"=>undef,"func.module_versions"=>{"Benchmark::Dumb"=>0.503,"Devel::Platform::Info"=>"1.00","Sys::Info"=>0.7811,"Try::Tiny"=>0.31,__PACKAGE__=>1.063,perl=>"v5.38.2"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"focal",is32bit=>0,is64bit=>1,kernel=>"linux-5.4.0-164-generic",kname=>"Linux",kvers=>"5.4.0-164-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>20.04,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 20.04.6 LTS \\n \\l","lsb_release -a"=>"LSB Version:\tcore-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch\nDistributor ID:\tUbuntu\nDescription:\tUbuntu 20.04.6 LTS\nRelease:\t20.04\nCodename:\tfocal","uname -a"=>"Linux u1-XPS-13-9360 5.4.0-164-generic #181-Ubuntu SMP Fri Sep 1 13:41:22 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.4.0-164-generic","uname -s"=>"Linux"}},"func.precision"=>7,"func.time_end"=>1708664380.64304,"func.time_factor"=>1,"func.time_start"=>1708664380.5867,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","\x{3BC}s",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}],[200,"OK",[{_name=>"participant=Try::Tiny",_succinct_name=>"T:T",errors=>5.8e-10,participant=>"Try::Tiny",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>62,rate=>397000,samples=>8,time=>2.52},{_name=>"participant=eval-localize-die-signal-and-eval-error",_succinct_name=>"e",errors=>6.5e-10,participant=>"eval-localize-die-signal-and-eval-error",pct_faster_vs_slowest=>3.27118644067797,pct_slower_vs_fastest=>13.75,rate=>1700000,samples=>7,time=>0.59},{_name=>"participant=builtin-try",_succinct_name=>"b",errors=>1.9e-10,participant=>"builtin-try",pct_faster_vs_slowest=>20,pct_slower_vs_fastest=>2,rate=>8400000,samples=>7,time=>0.12},{_name=>"participant=naive-eval",_succinct_name=>"n",errors=>8e-11,participant=>"naive-eval",pct_faster_vs_slowest=>62,pct_slower_vs_fastest=>0,rate=>25000000,samples=>7,time=>0.04}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{args=>{code_catch=>"",code_try=>""},include_by_default=>1,name=>"empty try, empty catch",seq=>0},{args=>{code_catch=>"",code_try=>"die"},include_by_default=>1,name=>"die in try, empty catch",seq=>1}],participants=>[{code_template=>"use feature 'try'; use experimental 'try'; try { <code_try:raw> } catch(\$e) { <code_catch:raw> }",description=>"\nRequires perl 5.34+.\n\n",include_by_default=>1,name=>"builtin-try",seq=>0,type=>"perl_code"},{code_template=>"eval { <code_try:raw> }; if (\$\@) { <code_catch:raw> }",description=>"\n",include_by_default=>1,name=>"naive-eval",seq=>1,type=>"perl_code"},{code_template=>"{ local \$\@; local \$SIG{__DIE__}; eval { <code_try:raw> }; if (\$\@) { <code_catch:raw> } }",description=>"\n",include_by_default=>1,name=>"eval-localize-die-signal-and-eval-error",seq=>2,type=>"perl_code"},{code_template=>"use Try::Tiny; try { <code_try:raw> } catch { <code_catch:raw> }",description=>"\n",include_by_default=>1,module=>"Try::Tiny",name=>"Try::Tiny",seq=>3,type=>"perl_code"}],precision=>7,summary=>"Benchmark various ways to do exception handling in Perl"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>0,speed=>3100.633,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>1,speed=>3100.431,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>2,speed=>3100.051,stepping=>9},{L2_cache=>{max_cache_size=>"3072 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","art","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","tsc_deadline_timer","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","3dnowprefetch","cpuid_fault","epb","invpcid_single","pti","ssbd","ibrs","ibpb","stibp","tpr_shadow","vnmi","flexpriority","ept","vpid","ept_ad","fsgsbase","tsc_adjust","bmi1","avx2","smep","bmi2","erms","invpcid","mpx","rdseed","adx","smap","clflushopt","intel_pt","xsaveopt","xsavec","xgetbv1","xsaves","dtherm","ida","arat","pln","pts","hwp","hwp_notify","hwp_act_window","hwp_epp","md_clear","flush_l1d","arch_capabilities"],manufacturer=>"GenuineIntel",model=>142,name=>"Intel(R) Core(TM) i5-7200U CPU \@ 2.50GHz",number_of_cores=>2,number_of_logical_processors=>4,processor_id=>3,speed=>3100.432,stepping=>9}],"func.elapsed_time"=>0.0563318729400635,"func.module_startup"=>undef,"func.module_versions"=>{"Benchmark::Dumb"=>0.503,"Devel::Platform::Info"=>"1.00","Sys::Info"=>0.7811,"Try::Tiny"=>0.31,__PACKAGE__=>1.063,perl=>"v5.38.2"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["participant",[0,1,2,3],"perl",["perl"]],"func.platform_info"=>{archname=>"x86_64",codename=>"focal",is32bit=>0,is64bit=>1,kernel=>"linux-5.4.0-164-generic",kname=>"Linux",kvers=>"5.4.0-164-generic",osflag=>"linux",oslabel=>"Ubuntu",osname=>"GNU/Linux",osvers=>20.04,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Ubuntu 20.04.6 LTS \\n \\l","lsb_release -a"=>"LSB Version:\tcore-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch\nDistributor ID:\tUbuntu\nDescription:\tUbuntu 20.04.6 LTS\nRelease:\t20.04\nCodename:\tfocal","uname -a"=>"Linux u1-XPS-13-9360 5.4.0-164-generic #181-Ubuntu SMP Fri Sep 1 13:41:22 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"5.4.0-164-generic","uname -s"=>"Linux"}},"func.precision"=>7,"func.time_end"=>1708664380.64304,"func.time_factor"=>1,"func.time_start"=>1708664380.5867,"table.field_aligns"=>["left","number","number","number","number","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,"percent","percent","percent","percent","percent","percent",undef,undef],"table.field_units"=>[undef,"/s","\x{3BC}s",undef,undef,undef,undef],"table.fields"=>["participant","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];

1;
# ABSTRACT: Benchmark various ways to do exception handling in Perl

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

